> ## Documentation Index
> Fetch the complete documentation index at: https://docs.browserbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Label

> Delete a label and its session assignments, preserving the sessions. Missing and other-project labels are successful no-ops.



## OpenAPI

````yaml delete /v1/labels/{labelId}
openapi: 3.0.0
info:
  title: Browserbase API
  description: Browserbase API for 3rd party developers
  version: v1
servers:
  - url: https://api.browserbase.com
    description: Public endpoint
    variables: {}
security:
  - BrowserbaseAuth: []
tags: []
paths:
  /v1/labels/{labelId}:
    delete:
      summary: Delete a Label
      description: >-
        Delete a label and its session assignments, preserving the sessions.
        Missing and other-project labels are successful no-ops.
      operationId: Labels_delete
      parameters:
        - name: labelId
          in: path
          description: The label's identifier.
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '204':
          description: The label is absent from the project.
        '400':
          description: Invalid label identifier.
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    description: HTTP status code.
                    type: integer
                  error:
                    description: HTTP error name.
                    type: string
                  message:
                    description: Human-readable error message.
                    type: string
                required:
                  - statusCode
                  - error
                  - message
components:
  securitySchemes:
    BrowserbaseAuth:
      type: apiKey
      in: header
      name: X-BB-API-Key
      description: Your [Browserbase API Key](https://www.browserbase.com/settings).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.